# List documents

### Input

User needs to provide company number

<table><thead><tr><th width="181">Attribute</th><th width="348">Type</th><th>Description</th></tr></thead><tbody><tr><td>companyNumber</td><td>String</td><td>Company number</td></tr></tbody></table>

### Output

| Attribute   | Type   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ----------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| type        | String | <p></p><p>The type of the document or entry, which can be one of the following:</p><ul><li><code>CONSTITUTION</code></li><li><code>TERMINATION</code></li><li><code>DENOMINATION</code></li><li><code>REGISTERED\_OFFICE</code></li><li><code>OTHER\_ADDRESS</code></li><li><code>OBJECT</code></li><li><code>CAPITAL\_ACTIONS</code></li><li><code>RESIGNATIONS\_NOMINATIONS</code></li><li><code>GENERAL\_ASSEMBLY</code></li><li><code>FISCAL\_YEAR</code></li><li><code>STATUTES</code></li><li><code>LEGAL\_FORM\_MODIFICATION</code></li><li><code>RESTRUCTURING</code></li><li><code>ANNUAL\_ACCOUNTS</code></li><li><code>MISC</code></li><li><code>BCE\_CANCELLATION</code></li><li><code>NBB\_ANNUAL\_ACCOUNTS</code></li></ul> |
| description | String | A description of the document or entry.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| date        | String | The date of the document or entry.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| id          | String | A URL or identifier for the document or entry.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |

```json
{
  "cbe": [
    {
      "type": "CONSTITUTION",
      "description": "RUBRIEK OPRICHTING (NIEUWE RECHTSPERSOON, OPENING BIJKANTOOR, ENZ...)",
      "date": "2016-01-21",
      "id": "https://www.ejustice.just.fgov.be/tsv_pdf/2016/01/21/16301685.pdf"
    },
    {
      "type": "DENOMINATION",
      "description": "BENAMING - MAATSCHAPPELIJKE ZETEL - DOEL",
      "date": "2017-07-13",
      "id": "https://www.ejustice.just.fgov.be/tsv_pdf/2017/07/13/17101092.pdf"
    },
    {
      "type": "REGISTERED_OFFICE",
      "description": "BENAMING - MAATSCHAPPELIJKE ZETEL - DOEL",
      "date": "2017-07-13",
      "id": "https://www.ejustice.just.fgov.be/tsv_pdf/2017/07/13/17101092.pdf"
    },
    {
      "type": "OBJECT",
      "description": "BENAMING - MAATSCHAPPELIJKE ZETEL - DOEL",
      "date": "2017-07-13",
      "id": "https://www.ejustice.just.fgov.be/tsv_pdf/2017/07/13/17101092.pdf"
    },
    {
      "type": "NBB_ANNUAL_ACCOUNTS",
      "description": "Micro model kapitaalloze vennootschap",
      "date": "2023-08-02",
      "id": "c502a4cf-2f83-11ee-b31e-556b203f91b6"
    }
  ]
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/cbe-belgium-company-register/company-profile/list-documents.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
